Registrar la direccion de retiro del cliente
curl --request PUT \
--url https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x2102d529741C5f6487d27a4792C4dC1f50913Bc8"
}
'import requests
url = "https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address"
payload = { "address": "0x2102d529741C5f6487d27a4792C4dC1f50913Bc8" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({address: '0x2102d529741C5f6487d27a4792C4dC1f50913Bc8'})
};
fetch('https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'address' => '0x2102d529741C5f6487d27a4792C4dC1f50913Bc8'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address"
payload := strings.NewReader("{\n \"address\": \"0x2102d529741C5f6487d27a4792C4dC1f50913Bc8\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"address\": \"0x2102d529741C5f6487d27a4792C4dC1f50913Bc8\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": \"0x2102d529741C5f6487d27a4792C4dC1f50913Bc8\"\n}"
response = http.request(request)
puts response.read_body{
"address": "0x2102d529741C5f6487d27a4792C4dC1f50913Bc8",
"network": "Polygon",
"registeredAt": "2026-09-22T15:10:10.365Z"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized"
}Clients
Registrar la direccion de retiro del cliente
Define a donde se le envia al cliente lo que cobra por sus cuentas de cobro, ya descontadas las comisiones. Reemplaza la anterior: solo hay una vigente. La direccion no se puede verificar mas alla de su formato, asi que un error de tipeo envia los fondos a un destino irrecuperable. Disponible solo en Sandbox.
PUT
/
v2
/
business-clients
/
{clientId}
/
withdrawal-address
Registrar la direccion de retiro del cliente
curl --request PUT \
--url https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x2102d529741C5f6487d27a4792C4dC1f50913Bc8"
}
'import requests
url = "https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address"
payload = { "address": "0x2102d529741C5f6487d27a4792C4dC1f50913Bc8" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({address: '0x2102d529741C5f6487d27a4792C4dC1f50913Bc8'})
};
fetch('https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'address' => '0x2102d529741C5f6487d27a4792C4dC1f50913Bc8'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address"
payload := strings.NewReader("{\n \"address\": \"0x2102d529741C5f6487d27a4792C4dC1f50913Bc8\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"address\": \"0x2102d529741C5f6487d27a4792C4dC1f50913Bc8\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-rampa.mesadepagos.com/api/v2/business-clients/{clientId}/withdrawal-address")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": \"0x2102d529741C5f6487d27a4792C4dC1f50913Bc8\"\n}"
response = http.request(request)
puts response.read_body{
"address": "0x2102d529741C5f6487d27a4792C4dC1f50913Bc8",
"network": "Polygon",
"registeredAt": "2026-09-22T15:10:10.365Z"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized"
}Autorizaciones
JWT obtenido desde /v2/auth/login o /v3/auth/login
Parámetros de ruta
Cuerpo
application/json
Direccion de retiro.
Direccion del cliente a la que se le envia lo que cobra, ya neto de comisiones. Debe ser una direccion EVM valida.
Pattern:
^0x[0-9a-fA-F]{40}$Ejemplo:
"0x2102d529741C5f6487d27a4792C4dC1f50913Bc8"